Subject: Re: [Softwires] A General Question for Flow Label Usage

From: "Yiu L. Lee" <[email-masked]>
Date: Tue, 24 Aug 2010 07:34:49 -0400

I want to follow up this topic on the list. I exchanged few off-listed
emails with Brian to ask his opinion of using flow label. It seem the way
the ER to encapsulate every packet of a given host is a compatible use of
flow label. Brian, can you confirm that please?

Thanks,
Yiu

On 7/30/10 4:57 PM, "Brian E Carpenter" <[email-masked]> wrote:
>>> Hi,
>>> 
>>> In RFC 3697, it says:
>>> 
>>> "A flow is a sequence of packets sent from a particular source to a
>>>    particular unicast, anycast, or multicast destination that the source
>>>    desires to label as a flow."
>>> 
>>> It later says the usage of a flow:
>>> 
>>> "The usage of the 3-tuple of the Flow Label and the Source and
>>>    Destination Address fields enables efficient IPv6 flow
>>>    classification, where only IPv6 main header fields in fixed positions
>>>    are used."
>>> 
>>> I am confused why we can't use a flow label to effectively identify a flow
>>> from a host behind a CPE in the AFTR. In what part this usage is against the
>>> specification?
> 
> The devil is in the details. You'd have to define the use case completely
> before I (as a co-author of 3697) would try to answer the question.
> 
> The use case still has to work with hosts that do not set a flow label,
> which is of course essentially all of them today.
> 
>    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 25 Aug 2010 11:26:24 +1200

I believe it is compatible as stated, but with two provisos:

1. There needs to be a complete specification, to check definitively.

2. There's active debate in 6MAN about changing the spec for the flow
label; personally I don't expect any changes that would invalidate
the usage below.

   Brian